<?php

include "../koneksi.php";

$nama_cust = $_POST['nama_cust'];
$alamat = $_POST['alamat'];
$no_cust = $_POST['no_cust'];
$sales = $_POST['sales'];
$tod = $_POST['tod'];
$kota = $_POST['kota'];
$ho_id = $_POST['ho_id'];

if ($nama_cust == '') {
    $data['error']['nama_cust'] = 'Nama Customer tidak boleh kosong';
}
if ($alamat == '') {
    $data['error']['alamat'] = 'Alamat Customer Tidak Boleh Kosong';
}
if ($no_cust == '') {
    $data['error']['no_cust'] = 'Nomor Customer Tidak Boleh Kosong';
}
if ($sales == '') {
    $data['error']['sales'] = 'Sales tidak boleh kosong';
}
if ($tod == '') {
    $data['error']['tod'] = 'TOD tidak boleh kosong';
}
if ($kota == '') {
    $data['error']['kota'] = 'Kota tidak boleh kosong';
}
if ($ho_id == '') {
    $data['error']['ho_id'] = 'Head Officers tidak boleh kosong';
}

if (empty($data['error'])) {
    
		$query = "insert INTO customer SET
										CustomerName = '$nama_cust',
										Alamat = '$alamat',
										CustomerNo = '$no_cust',
										Sales = '$sales',
										TOD = '$tod',
										Kota = '$kota',
										HO_ID = '$ho_id'
										";

		mysqli_query($koneksi, $query)
		or die ("Gagal Perintah SQL".mysql_error());
		
    $data['hasil'] = 'sukses';
    
} else {
    
    $data['hasil'] = 'gagal';
}

echo json_encode($data);

?>

